:root {
    --main-gray: #E5E5E5;
    --sec-gray: #E4E4E4;
    --white: #fff;

    --gray200: #EDEDED;
    --gray300: #D4D4D4;
    --gray400: #B8B8B8;
    --gray500: #969696;
    --gray600: #757575;
    --gray700: #5C5C5C;
    --gray800: #3B3B3B;
    --gray900: #232323;

    --green700: #2F855A;
    --green900: #22543D;

    --red700 : #C53030;
    --red900 : #742A2A;
}

body {
    background-color: var(--main-gray);
}


*,
*::before,
*::after {
	margin: 0;
	padding: 0;
	box-sizing: border-box;	
    font-family: 'Roboto', sans-serif;
    color: var(--gray800);
}

.container {
    min-height: 100vh; max-width: 1176px;
    padding: 0 24px;
	margin-inline: auto;
    transition: all 0.5s ease-in-out;
}

@media (max-width: 800px) {
    .container {
        max-width: 456px;
        padding: 0;
    }
}

@media (max-width: 500px) {
    .container {
        padding: 0 24px;
    }
}

a {
    text-decoration: none;
}

button {
    cursor: pointer;
}

li {
    list-style-type: none;
}

main {
    padding-bottom: 1em;
}


/**
 * ----------------------------------------
 * PAGINATION
 * ----------------------------------------
 **/
.pagination {
    display: flex;
    align-items: center;
    gap: 8px;
    margin-bottom: 24px;
}

.pagination__break,
.pagination__control,
.pagination__item {
    border: 1px solid var(--gray400);
    border-radius: 4px;
    width: 36px;
    height: 32px;
    cursor: pointer;
}

.pagination__control.disabled > a img {
    filter: invert(69%) sepia(0%) saturate(1039%) hue-rotate(194deg) brightness(89%) contrast(77%);
}

.pagination__control.disabled {
    cursor: not-allowed;
}

.pagination__control.disabled,
.pagination__item {
    background: var(--gray200);
}

.pagination__break,
.pagination__control,
.item-active {
    background: var(--white);
}

.pagination__break > a,
.pagination__control > a,
.pagination__item > a {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%; width: 100%;
}

.pagination__item > a {
    color: var(--gray500);
}

.pagination__item.item-active > a {
    color: var(--gray800);
}

.pagination__control > a img {
    filter: invert(35%) sepia(0%) saturate(0%) hue-rotate(201deg) brightness(98%) contrast(88%);
}


/**
 * ----------------------------------------
 * ANIMATION slide-top
 * ----------------------------------------
 **/

 @-webkit-keyframes slide-top {
    0% {
      -webkit-transform: translateY(10px);
              transform: translateY(10px);
    }
    100% {
      -webkit-transform: translateY(0);
              transform: translateY(0);
    }
  }
  @keyframes slide-top {
    0% {
      -webkit-transform: translateY(10px);
              transform: translateY(10px);
    }
    100% {
      -webkit-transform: translateY(0);
              transform: translateY(0);
    }
  }
  